:root {
  --arrow: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23CCCC00%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E')
}

input, select {
    display: inline-block;
    font-family: sans-serif;
    font-size:max(3vh, 3vw);
    font-weight: 700;
    color: #cc7;
    _line-height: 1.3;
    padding: .4em .3em .3em .6em;
    box-sizing: border-box;
    margin: 0;
    border: 1px solid #444;
    box-shadow: 0 0 0.3vh 0.3vh rgba(255,255,255,.24);
    border-radius: .5em;
    background-color: #222;
    background-image: linear-gradient(to bottom, #111 0%,#444 100%);
    background-repeat: repeat;
}

select {
  padding: .4em 1.8em .3em .6em;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #222;
  background-image: var(--arrow), linear-gradient(to bottom, #111 0%,#444 100%);
  background-repeat: no-repeat, repeat;
  background-position: right .7em top 55%, 0 0;
  background-size: .65em auto, 100%;
}

select::-ms-expand {
    display: none;
}
select:hover {
    border-color: #888;
}
select:focus {
    border-color: #666;
    box-shadow: 0 0 0.3vh 0.3vh rgba(255, 127, 0, .24);
    /*box-shadow: 0 0 0.3vh 0.3vh -moz-mac-focusring;*/
    color: #ff8;
    outline: none;
}
select option {
    color:#ddd;
    font-weight:normal;
}
select:active {
    color:#f00;
}

/*
.select-css:disabled, .select-css[aria-disabled=true] {
    color: graytext;
    background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22graytext%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
      linear-gradient(to bottom, #ffffff 0%,#e5e5e5 100%);
}
.select-css:disabled:hover, .select-css[aria-disabled=true] {
    border-color: #aaa;
}
*/
